Jump to content

Php 5.4 / 5.5


laurin1
 Share

Recommended Posts

Hi laurin,

 

We would love to insure our servers are running the latest versions of services like PHP, unfortunately, the reality of that is we have always done what we can to insure the largest amount of our client base is always supported. The truth is that we could flip a couple options and have any of servers up and running on the latest version within minutes, however, that would result in an unacceptable amount of clients having sites that no longer work. We have made large changes in the past, such as the move away from PHP 5.2, which caused so many issues for clients that we rolled out our own dual version setup for PHP 5.2/5.3. This type of setup is not supported on cPanel servers and you will find very few hosts that do so.

 

When we made this last major change to all servers, we defaulted all existing sites to PHP 5.2 via .htaccess and all new sites would default to PHP 5.3. While this solution itself still resulted in issues for some users, it gave all our clients an option on what version they would run. We have since run tests when introducing new servers to see what affect running only one version or forcing a change would do, and we were not happy with the results.

 

Having said that, back in August of 2012, we received two requests for PHP 5.4 from clients who happened to be on the same server. One of those requests came from you in the way of a forum post made by you. At that time that server was rolled out to new setup running 3 versions of PHP and a notice was sent to those requesting the change. I personally sent the following notice to you about this via the forums PM system on how to make use of the separate versions.

 

Sent 03 August 2012 - 01:16 AM

Hi,


We already offer 5.2 and 5.3, and we have now rolled out 5.4, per you request, to the server your reseller is hosted on. Since we are still testing this with other changes that are planned, it is only on the one server, which is why I am sending this private message. We will most likely officially roll it out next week.

If you want to test a version other than 5.3, please ..
.......
.......

If you find any issues with the new PHP 5.4 please open a ticket to our help desk and reference "PHP 5.4 Testing".

Thanks for your patience.

 

This testing setup for PHP 5.4 is still available on your server if you want to use it. We did our testing on this server as well and were not satisfied with the PHP 5.4 setup, therefore we never officially rolled out or announced the change back in August.

 

We have since moved on to testing on our testbed servers and have rolled out two more separate setups based on the recent changes in cPanel. Our next step will be to decide if we want to continue on with a 2 or 3 version setup. I can not provide a clear date at this time on when we will begin our next roll out but we are in the process of planning that.

 

 

I am sorry if this a bit long winded, I wanted to address this to you directly as well as cover things for others that may read this. Please let me know if you have questions about this or any of our server setups and I will gladly address them.

 

Thanks.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...